# OPC UA Pub/Sub over TSN gateway for WorldFIP fieldbus.
# By default, if no option is added, the app opens the first FIP boards detected
# 
# Options:
#     -i   device index [default=1]
#     -f   configuration path [default=./config/performance/sta1.json]
#     -L   output log trace file [default=/dev/stdout]
#     -l   list the FIP boards present on the host machine
#     -h   show this help and exit
#     -v   show version and exit
# 
# Examples: 
#     uafipd -i 1 -f ./config/performance/sta1.json

[Unit]
Description=OPC UA Pub/Sub TSN <-> FIP/WorldFIP gateway

[Service]
Type=simple
ExecStart=/usr/bin/uafipd \
            -f /etc/exoligent/uafip/config/performance/sta1.json \
            -L /var/log/uafipd.log

User=root
Restart=on-failure
RestartSec=3

[Install]
WantedBy=multi-user.target